> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Investor Documents

> Lists the caller's visible, unarchived documents with warrant names and signed S3 download URLs.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-investor-documents
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-investor-documents:
    get:
      operationId: getInvestorDocuments
      summary: Get Investor Documents
      description: >-
        Lists the caller's visible, unarchived documents with warrant names and
        signed S3 download URLs.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInvestorDocumentsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetInvestorDocumentsResponse:
      type: array
      items:
        type: object
        properties:
          documentID:
            type: string
          documentName:
            type: string
          documentDescription:
            type:
              - string
              - 'null'
          documentType:
            type: string
            enum:
              - WARRANT_AGREEMENT
              - EXERCISE_NOTICE
              - PAYMENT_PROOF
              - GRANT_AGREEMENT
              - EIGHTY_THREE_B_ELECTION
              - EIGHTY_THREE_B_ELECTION_RECIEPT
              - RECIEPTS
              - SETTLEMENT_STATEMENT
              - SECTION_431_ELECTION_EMPLOYEE
              - SECTION_431_ELECTION_EMPLOYER
              - OTHER
          createdAt:
            type: string
          fileID:
            type: string
          fileName:
            type: string
          downloadUrl:
            type: string
          warrantID:
            type:
              - string
              - 'null'
          warrantName:
            type:
              - string
              - 'null'
          grantID:
            type:
              - string
              - 'null'
          archivedAt:
            type:
              - string
              - 'null'
        required:
          - documentID
          - documentName
          - documentDescription
          - documentType
          - createdAt
          - fileID
          - fileName
          - downloadUrl
          - warrantID
          - warrantName
          - grantID
          - archivedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
